.button-menu {
  display: inline-flex;
  align-items: center;
  width: 30px;
  height: 30px;
  padding: 0;
  position: relative;
  border: 0;
  background-color: transparent;
  color: var(--color-black-light);
  cursor: pointer;
}

.button-menu__icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%);
}

.icon-menu {
  width: 17px;
  height: 1px;
  position: absolute;
  background-color: currentColor;

  &::after,
  &::before {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    background-color: currentColor;
  }

  &::before {
    top: -5px;
  }

  &::after {
    top: 5px;
  }
}
